%define pkgname libglademm
%define version 2.1.2
%define release 1mdk

%define req_libglade_version 1.99.11
%define req_gtkmm_version 2.0.2

%define major 1
%define api_version 2.0
%define libname_basic glademm
%define libname     %mklibname %{libname_basic} %{api_version}

Name:	 	%{pkgname}%{api_version}
Summary: 	C++ interface of glade2 library
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group:   	System/Libraries
# http://download.sourceforge.net/gtkmm/
Source:  	%{pkgname}-%{version}.tar.bz2
Patch0:		%{pkgname}-2.0.1-fix-doxyfile.patch.bz2
Patch1:		%{pkgname}-2.1.2-libtool-1.5.patch.bz2

URL:     	http://gtkmm.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	gcc-c++
BuildRequires:	libglade2.0-devel >= %{req_libglade_version}
BuildRequires:	libgtkmm2.0-devel >= %{req_gtkmm_version}
Buildrequires:	doxygen

%description
This package provides a C++ interface for glade2.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create glade2 objects.

%package	-n %{libname}_%{major}
Summary:	C++ interface of glade2 library
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}
Provides:	%{pkgname} = %{version}-%{release}

%description	-n %{libname}_%{major}
This package provides a C++ interface for glade2.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create glade2 objects.

%package	-n %{libname}_%{major}-devel
Summary:	Development related files of %{pkgname}
Group:		Development/GNOME and GTK+
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{pkgname}-devel = %{version}-%{release}
Requires:	%{libname}_%{major} = %{version}-%{release}
Requires:	libglade2.0-devel >= %{req_libglade_version}
# to be added soon
#Requires:	gtkmm2-devel >= %{req_gtkmm_version}

%description	-n %{libname}_%{major}-devel
Thie package provides headers and various development files needed for
compiling or developing applications that use Glade 2 C++ interface.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .docs
%patch1 -p0 -b .libtool15

%build
# mdk does not have libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x --enable-static
%make 

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%install
rm -rf %{buildroot}
%makeinstall_std

%post -n %{libname}_%{major} -p /sbin/ldconfig
%postun -n %{libname}_%{major} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}_%{major}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_libdir}/*.so.*

%files -n %{libname}_%{major}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_includedir}/*
%{_libdir}/%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Thu Oct 02 2003 Abel Cheung <deaddog@deaddog.org> 2.1.2-1mdk
- 2.1.2
- Patch1: Make libtool 1.5 always search for staging libraries first
  during relinking
- Provides plain package name

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 2.0.1-1mdk
- Rename glademm2.0 -> libglademm2.0, avoid confusion with
  the real glademm package
- Build static library
- Build doc
- Need not provide glademm2.0{,-devel} since nothing require them
- Patch0: Fix doc/reference/Doxyfile (which was having old variable that
  belongs to gnomeuimm package)

* Sun Apr 6 2003 Austin Acton <aacton@yorku.ca> 1.3.10-1mdk
- initial package
